> For the complete documentation index, see [llms.txt](https://docs.zithium.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zithium.net/zithium-series/zithiummobcoins/deluxewithdraw-add-on.md).

# DeluxeWithdraw Add-on

**Download:** *Soon*

This add-on requires DeluxeWithdraw to be installed on the server to function it will disable without ZithiumMobCoins & DeluxeWithdraw both present.

## Installation:

To install this add-on simply drag the \`ZithiumMobCoinsDWBridge.jar\` to your server's `/plugins` folder and restart the server. *(It is not recommended to use `/reload` at any point for any reason always restart!)*

## **Configuration:**

Here we will show you how to configure DeluxeWithdraw to work with this addon.

```yaml
   mobcoin_default:
      item:
         name: '&6Coin Pouch'
         lore:
         - '&aValue: &f{0} Coins'
         - '&aCreated by: &f{1}'
         - '&eClick to redeem.'
         material: 'SUNFLOWER'
         materialData: 0
         customModelData: 0
         glow: true
         itemFlags:
         - 'HIDE_ATTRIBUTES'
         - 'HIDE_ENCHANTS'
         - 'HIDE_PLACED_ON'
         typeName: '&7&nDefault - MobCoins'
      settings:
         tax: 0
         provider: "ZITHIUMMOBCOINS"
```

Place the following in the `items.yml` file located in `/plugins/DeluxeWithdraw` make sure both ZithiumMobCoins, ZithiumMobCoinDWBridge, & DeluxeWithdraw are installed.

## Commands:

The commands to withdraw mobcoins can be found below.

* `/mcwithdraw {amount}`
* `/mobcoinwithdraw {amount}`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zithium.net/zithium-series/zithiummobcoins/deluxewithdraw-add-on.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
